/// <reference types="mapbox-gl" />
import Threebox, { ThreeboxObject } from '../Threebox';
export declare const AnimationHandlerDefaultOption: {
    [key: string]: Record<string, any>;
};
export interface ObjectState {
    worldCoordinates?: any;
    rotation?: any;
    scale?: any;
    quaternion?: any;
}
declare class AnimationHandler {
    map: mapboxgl.Map;
    threebox: Threebox;
    enrolledObjects: any[];
    previousFrameTime: number;
    constructor(threebox: Threebox, map: mapboxgl.Map);
    enroll: (obj: ThreeboxObject) => void;
    update: (now: number) => boolean;
}
export default AnimationHandler;
